Name:		suricata
Version:	1.3
Release:	6%{?dist}
Summary:	Next generation IDS/IPS engine.
Epoch:		5

Group:		Applications/Internet
License:	GPLv2
URL:		http://www.openinfosecfoundation.org/
Source0:	http://www.openinfosecfoundation.org/download/%{name}-%{version}.tar.gz
Source1:	suricata.init
Source2:	suricata.sysconfig
Source3:	suricata.logrotate
Source4:	emerging.rules.tar.gz
Patch1:	suricata-1.1.1-flags.patch

BuildRequires:	nspr-devel glibc-devel
BuildRequires:	libyaml-devel libprelude-devel libpcap-devel
BuildRequires:	libnfnetlink-devel libnet-devel
%if 0%{?fedora} >= 16
BuildRequires:	libnetfilter_queue-devel
%endif
%if 0%{?rhel} >= 6 || 0%{?fedora}
BuildRequires:	file-devel
%endif
%if 0%{?rhel} <= 5
BuildRequires:	file
%endif
BuildRequires:	zlib-devel pcre-devel
BuildRequires:	autoconf automake libtool
Requires:	chkconfig
Conflicts:	libhtp-devel libhtp libhtp-doc

%description
The Suricata Engine is an Open Source Next Generation Intrusion Detection and Prevention Engine.
This engine is not intended to just replace or emulate the existing tools in the industry,
but will bring new ideas and technologies to the field.

%package rules
Summary:	Emerging rules for Suricata
Group:		System Environment/Rules
Requires:	%{name} = %{epoch}:%{version}-%{release}
BuildArch:	noarch

%description rules
Emerging rules for Suricata

%prep
%setup -q
%patch1 -p1
autoreconf -fv --install

%build
%configure \
	--enable-gccprotect \
	--disable-gccmarch-native \
%if 0%{?fedora} >= 16
	--enable-nfqueue \
%endif
	--enable-prelude \
	--enable-af-packet \
	--with-libnet-includes=%{_includedir} \
	--with-libnet-libraries=%{_libdir} \
	--with-libnspr-includes=%{_includedir} \
	--with-libnspr-libraries=%{_libdir} \
	--with-libnss-includes=%{_includedir} \
	--with-libnss-libraries=%{_libdir} \
	--with-libmagic-includes=%{_includedir} \
	--with-libmagic-libraries=%{_libdir}

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make "bindir=%{_sbindir}" install DESTDIR=$RPM_BUILD_ROOT

# Setup etc directory
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/suricata/rules
install -m 600 suricata.yaml $RPM_BUILD_ROOT%{_sysconfdir}/suricata
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/suricata
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/suricata
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/suricata

# Install emerging.rules
%{__gzip} -dc %{SOURCE4} | %{__tar} -xf -
cd rules
for f in `ls *.config *.map`
do
	install -m0600 $f $RPM_BUILD_ROOT%{_sysconfdir}/suricata/$f
done
for f in `ls *.rules`
do
	install -m0600 $f $RPM_BUILD_ROOT%{_sysconfdir}/suricata/rules/$f
done
for f in compromised-ips.txt rbn-ips.txt rbn-malvertisers-ips.txt suricata.yaml
do
	install -m0600 $f $RPM_BUILD_ROOT%{_sysconfdir}/suricata/rules/$f
done
install -m0600 emerging.conf $RPM_BUILD_ROOT%{_sysconfdir}/suricata/rules/emerging.conf
mkdir ../emerging_rules
cp -rp BSD-License.txt LICENSE gpl-2.0.txt ../emerging_rules

# Make logging directory
mkdir -p $RPM_BUILD_ROOT/%{_var}/log/suricata

%check
#make check

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add suricata
/sbin/ldconfig

%preun
if [ $1 -eq 0 ]; then
   /sbin/service suricata stop > /dev/null 2>&1
   /sbin/chkconfig --del suricata
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING doc/INSTALL
%{_sbindir}/suricata
%attr(750,root,root) %dir %{_var}/log/suricata
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/suricata/suricata.yaml
%dir %attr(750,root,root) %{_sysconfdir}/suricata
%dir %attr(750,root,root) %{_sysconfdir}/suricata/rules
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/sysconfig/suricata
%attr(755,root,root) %{_sysconfdir}/rc.d/init.d/suricata
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/logrotate.d/suricata
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/suricata/*.map
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/suricata/*.config
%{_includedir}/htp
%{_libdir}/libhtp.*
%{_libdir}/libhtp-0.2.*
%{_libdir}/pkgconfig/htp.pc

%files rules
%doc emerging_rules
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/suricata/rules/*

%changelog
* Wed Jul  1 2012 momo-i <webmaster@momo-i.org> 1.3-1
- Initial rpm release.
